<ion-content>
    <ion-grid class="ion-margin ion-no-padding">
        <!-- Back Button -->
        <ion-icon name="arrow-back-outline" routerLink="/login"> </ion-icon>
        <!-- Email Icon -->
        <ion-row class="ion-justify-content-center mt-48 mb-35">
            <ion-col size="11" sizeMd="3">
                <app-img
                    src="assets/email.svg"
                    title="email"
                    alt="email"
                    [errorSrc]="cardMedia"
                ></app-img>
            </ion-col>
        </ion-row>
        <!-- Title -->
        <ion-text class="size-30 weight-400 has-text-secondary" color="dark"
            >Réinitialiser
        </ion-text>
        <br />
        <ion-text class="weight-100 size-16" color="dark">
            votre mot de passe
        </ion-text>
        <br />
        <!-- Description -->
        <ion-text class="weight-300 size-12">
            Entrer l’adresse e-mail associée à votre compte
        </ion-text>
        <!-- Email Input -->
        <div class="mt-30 height-76">
            <app-input-text
                [control]="resetPasswordForm"
                [name]="'email'"
                iconName="mail-outline"
                [errorMessages]="[errors.email, errors.required, errors.noSpace]"
                [validators]="emailValidators"
            >
            </app-input-text>
        </div>
        <!-- Reset Error Message -->
        <div class="ion-padding-end size-10 ion-margin-start ion-text-center">
            <ion-text color="danger"> {{submitError}}</ion-text>
        </div>
        <!-- Validate Button -->
        <ion-row
            class="ion-padding ion-align-items-center ion-no-border ion-justify-content-center"
        >
            <ion-col size="6" class="is-white">
                <app-button
                    title="Valider"
                    [loading]="loading"
                    icon="send"
                    [disabled]="!resetPasswordForm.valid"
                    (click)="onReset()"
                    (keyPress)="onReset()"
                    shape="round"
                    expand="full"
                >
                </app-button>
            </ion-col>
        </ion-row>
        <!-- Link to Login Page -->
        <ion-row>
            <ion-col
                class="ion-text-center weight-400 size-14 text-secondary mt-25"
            >
                <ion-text color="silver-dark">Retourner à la page de </ion-text>
                <a class="is-sea-green" routerLink="/login">CONNEXION</a>
            </ion-col>
        </ion-row>
    </ion-grid>
</ion-content>
